Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface UnpackExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  UnpackExpImpl

    public interface UnpackExp

extends ImperativeExpression

A representation of the model object 'Unpack Exp'.

The following features are supported:

- `Source`
- `Target Variable`

See Also:
  `ImperativeOCLPackage.getUnpackExp()`

Method Summary
`OCLExpression` | `getSource()` Returns the value of the 'Source' containment reference
`` | `getTargetVariable()` Returns the value of the 'Target Variable' reference list.
`void` | `setSource(OCLExpression value)` Sets the value of the '`Source`' containment reference

Method Detail

### getSource

    OCLExpression getSource()

  Returns the value of the 'Source' containment reference.

  If the meaning of the 'Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `setSource(OCLExpression)`, `ImperativeOCLPackage.getUnpackExp_Source()`

### setSource

    void setSource(OCLExpression value)

  Sets the value of the '`Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Source' containment reference.
  See Also:
    `getSource()`

### getTargetVariable

     getTargetVariable()

  Returns the value of the 'Target Variable' reference list. The list contents are of type `org.eclipse.ocl.ecore.Variable`.

  If the meaning of the 'Target Variable' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Variable' reference list.
  See Also:
    `ImperativeOCLPackage.getUnpackExp_TargetVariable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD